DataSourceExpression (Groovy 5.0.7)
Description: declaration: package: org.apache.groovy.ginq.dsl.expression, class: DataSourceExpression

Package org.apache.groovy.ginq.dsl.expression

# Class DataSourceExpression

java.lang.Object
org.codehaus.groovy.ast.ASTNode
org.codehaus.groovy.ast.AnnotatedNode
org.codehaus.groovy.ast.expr.Expression
org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression
org.apache.groovy.ginq.dsl.expression.DataSourceExpression

All Implemented Interfaces:
  `GroovydocHolder<AnnotatedNode>`, `DataSourceHolder`, `NodeMetaDataHandler`

Direct Known Subclasses:
  `FromExpression`, `JoinExpression`

public abstract class DataSourceExpression extends AbstractGinqExpression implements DataSourceHolder
Represents data source expression

Since:
  4.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected final Expression`
  `aliasExpr`
  `protected Expression`
  `dataSourceExpr`

  ### Fields inherited from class org.codehaus.groovy.ast.expr.Expression

  `EMPTY_ARRAY`

  ### Fields inherited from interface groovy.lang.groovydoc.GroovydocHolder

  `DOC_COMMENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceExpression(Expression aliasExpr, Expression dataSourceExpr)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Expression`
  `getAliasExpr()`
  `Expression`
  `getDataSourceExpr()`
  `void`
  `setDataSourceExpr(Expression dataSourceExpr)`

  ### Methods inherited from class org.apache.groovy.ginq.dsl.expression.AbstractGinqExpression

  `accept, transformExpression, visit`

  ### Methods inherited from class org.codehaus.groovy.ast.expr.Expression

  `getType, setType, transformExpressions, transformExpressions`

  ### Methods inherited from class org.codehaus.groovy.ast.AnnotatedNode

  `addAnnotation, addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`

  ### Methods inherited from class org.codehaus.groovy.ast.ASTNode

  `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.groovy.ginq.dsl.expression.DataSourceHolder

  `getDataSourceExpression, setDataSourceExpression`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getMetaDataMap, getNodeMetaData, getNodeMetaData, getNodeMetaData, newMetaDataMap, putNodeMetaData, removeNodeMetaData, setMetaDataMap, setNodeMetaData`

- ## Field Details

  - ### aliasExpr

    protected final Expression aliasExpr

  - ### dataSourceExpr

    protected Expression dataSourceExpr

- ## Constructor Details

  - ### DataSourceExpression

    public DataSourceExpression(Expression aliasExpr, Expression dataSourceExpr)

- ## Method Details

  - ### getAliasExpr

    public Expression getAliasExpr()

  - ### getDataSourceExpr

    public Expression getDataSourceExpr()

  - ### setDataSourceExpr

    public void setDataSourceExpr(Expression dataSourceExpr)